## qdvdauthor 0.0.8a

=== configurator/Makefile ===
#############################################################################
# Makefile for building: ../bin/configurator
# Generated by qmake (1.07a) (Qt 3.3.1) on: Mon Aug 23 01:23:36 2004
# Project:  configurator.pro
# Template: app
# Command: $(QMAKE) -o Makefile configurator.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o \
		.obj/configurator.o
FORMS = configurator.ui
UICDECLS = .ui/configurator.h
UICIMPLS = .ui/configurator.cpp
SRCMOC   = .moc/moc_configurator.cpp
OBJMOC = .obj/moc_configurator.o
DIST	   = configurator.pro
QMAKE_TARGET = configurator
DESTDIR  = ../bin/
TARGET   = ../bin/configurator

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt.prl
	$(QMAKE) -o Makefile configurator.pro
qmake: 
	@$(QMAKE) -o Makefile configurator.pro

dist: 
	@mkdir -p .obj/configurator && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/configurator/ && $(COPY_FILE) --parents configurator.ui.h .obj/configurator/ && ( cd `dirname .obj/configurator` && $(TAR) configurator.tar configurator && $(GZIP) configurator.tar ) && $(MOVE) `dirname .obj/configurator`/configurator.tar.gz . && $(DEL_FILE) -r .obj/configurator

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/configurator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.ui/configurator.h: configurator.ui 
	$(UIC) configurator.ui -o .ui/configurator.h

.ui/configurator.cpp: .ui/configurator.h configurator.ui 
	$(UIC) configurator.ui -i configurator.h -o .ui/configurator.cpp

.obj/configurator.o: .ui/configurator.cpp configurator.ui.h \
		.ui/configurator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/configurator.o .ui/configurator.cpp

.obj/moc_configurator.o: .moc/moc_configurator.cpp  .ui/configurator.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_configurator.o .moc/moc_configurator.cpp

.moc/moc_configurator.cpp: $(MOC) .ui/configurator.h
	$(MOC) .ui/configurator.h -o .moc/moc_configurator.cpp

####### Install

install:  

uninstall:
