=== test/test_dither/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.06c) (Qt 3.2.2) on: Fri Jul  9 14:12:48 2004
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -g  -DQT_SHARED -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -g  -DQT_SHARED -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   =  -Wl,-rpath,$(QTDIR)/lib
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = kimageeffect.h \
		quantize.h
SOURCES = main.cpp \
		kimageeffect.cpp \
		quantize.cpp
OBJECTS = .obj/main.o \
		.obj/kimageeffect.o \
		.obj/quantize.o \
		.obj/test.o
FORMS = test.ui
UICDECLS = .ui/test.h
UICIMPLS = .ui/test.cpp
SRCMOC   = .moc/moc_test.cpp
OBJMOC = .obj/moc_test.o
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && $(COPY_FILE) --parents test.ui.h .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/test.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/kimageeffect.o: kimageeffect.cpp kimageeffect.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/kimageeffect.o kimageeffect.cpp

.obj/quantize.o: quantize.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/quantize.o quantize.cpp

.ui/test.h: test.ui 
	$(UIC) test.ui -o .ui/test.h

.ui/test.cpp: .ui/test.h test.ui 
	$(UIC) test.ui -i test.h -o .ui/test.cpp

.obj/test.o: .ui/test.cpp test.ui.h \
		.ui/test.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/test.o .ui/test.cpp

.obj/moc_test.o: .moc/moc_test.cpp .ui/test.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_test.o .moc/moc_test.cpp

.moc/moc_test.cpp: $(MOC) .ui/test.h
	$(MOC) .ui/test.h -o .moc/moc_test.cpp

####### Install

install: all  

uninstall:
