=== qdvdauthor/qslideshow/test/Makefile ===
#############################################################################
# Makefile for building: filter
# Generated by qmake (1.06c) (Qt 3.2.2) on: Thu Jan 29 03:15:32 2004
# Project:  filter.pro
# Template: app
# Command: $(QMAKE) -o Makefile filter.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   =  -Wl,-rpath,$(QTDIR)/lib
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o \
		.obj/dialogfilter.o
FORMS = dialogfilter.ui
UICDECLS = .ui/dialogfilter.h
UICIMPLS = .ui/dialogfilter.cpp
SRCMOC   = .moc/moc_dialogfilter.cpp
OBJMOC = .obj/moc_dialogfilter.o
DIST	   = filter.pro
QMAKE_TARGET = filter
DESTDIR  = 
TARGET   = filter

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: filter.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile filter.pro
qmake: 
	@$(QMAKE) -o Makefile filter.pro

dist: 
	@mkdir -p .obj/filter && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/filter/ && ( cd `dirname .obj/filter` && $(TAR) filter.tar filter && $(GZIP) filter.tar ) && $(MOVE) `dirname .obj/filter`/filter.tar.gz . && $(DEL_FILE) -r .obj/filter

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/dialogfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.ui/dialogfilter.h: dialogfilter.ui 
	$(UIC) dialogfilter.ui -o .ui/dialogfilter.h

.ui/dialogfilter.cpp: .ui/dialogfilter.h dialogfilter.ui 
	$(UIC) dialogfilter.ui -i dialogfilter.h -o .ui/dialogfilter.cpp

.obj/dialogfilter.o: .ui/dialogfilter.cpp .ui/dialogfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dialogfilter.o .ui/dialogfilter.cpp

.obj/moc_dialogfilter.o: .moc/moc_dialogfilter.cpp .ui/dialogfilter.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_dialogfilter.o .moc/moc_dialogfilter.cpp

.moc/moc_dialogfilter.cpp: $(MOC) .ui/dialogfilter.h
	$(MOC) .ui/dialogfilter.h -o .moc/moc_dialogfilter.cpp

####### Install

install: all  

uninstall:
