## qdvdauthor 1.0.0

=== addons/Makefile ===
###############################################################################
CC = g++
###############################################################################

all: bbdmux
	@echo
	@echo
	@echo "Changes made to original sources:"
	@echo "  - Added #define strlwr(x) to bits.h, seems to fix undef'ed reference."
	@echo "  - Stripped ^M from all source files, to help with older gccs."
	@echo "  - Removed bbainfo.cpp, bbainfo.ide BBINFO.CPP, bbinfo.ide, bbvinfo.cpp"
	@echo "  - bbvinfo.ide"
	@echo "  - modified this crappy Makefile."
	@echo
	@echo " The original sources can be found at ftp.primenet.com in /users/b/beyeler"
	@echo "with the filename bbtool19_src.zip."
	@echo

bbdmux: bits.o bbdmux.o
	$(CC) -o ../bin/bbdmux bits.o bbdmux.o

clean:
	rm -f ../bin/bbdmux core *.o

bbdmux.o: bbdmux.cpp bits.h
bits.o: bits.cpp bits.h
