=== test/test_xine/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.07a) (Qt 3.3.1) on: Tue Jan 11 23:50:19 2005
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ `xine-config --cflags --libs` -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = xineinfo.h
SOURCES = main.cpp \
		xineinfo.cpp
OBJECTS = .obj/main.o \
		.obj/xineinfo.o \
		.obj/mydialog.o
FORMS = mydialog.ui
UICDECLS = .ui/mydialog.h
UICIMPLS = .ui/mydialog.cpp
SRCMOC   = .moc/moc_mydialog.cpp
OBJMOC = .obj/moc_mydialog.o
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && $(COPY_FILE) --parents mydialog.ui.h .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/mydialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/xineinfo.o: xineinfo.cpp xineinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/xineinfo.o xineinfo.cpp

.ui/mydialog.h: mydialog.ui 
	$(UIC) mydialog.ui -o .ui/mydialog.h

.ui/mydialog.cpp: .ui/mydialog.h mydialog.ui 
	$(UIC) mydialog.ui -i mydialog.h -o .ui/mydialog.cpp

.obj/mydialog.o: .ui/mydialog.cpp mydialog.ui.h \
		.ui/mydialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/mydialog.o .ui/mydialog.cpp

.obj/moc_mydialog.o: .moc/moc_mydialog.cpp  .ui/mydialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_mydialog.o .moc/moc_mydialog.cpp

.moc/moc_mydialog.cpp: $(MOC) .ui/mydialog.h
	$(MOC) .ui/mydialog.h -o .moc/moc_mydialog.cpp

####### Install

install:  

uninstall:
