## qdvdauthor 1.2.0

=== configurator/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../bin/configurator
-# Generated by qmake (1.07a) (Qt 3.3.1) on: Mon Aug 23 01:23:36 2004
+# Generated by qmake (1.07a) (Qt 3.3.8b) on: Tue Mar 25 23:35:51 2008
 # Project:  configurator.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile configurator.pro
@@ -12,14 +12,14 @@
 CXX      = g++
 LEX      = flex
 YACC     = yacc
-CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
-CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
+CFLAGS   = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
+CXXFLAGS = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -Wno-non-virtual-dtor -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
 LEXFLAGS = 
 YACCFLAGS= -d
 INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
 LINK     = g++
 LFLAGS   = 
-LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt -lXext -lX11 -lm
+LIBS     = $(SUBLIBS) -L/usr/lib64/ -L$(QTDIR)/lib64/ -L/usr/X11R6/lib64/ -L/usr/X11R6/lib64 -lqt-mt -lXext -lX11 -lm
 AR       = ar cqs
 RANLIB   = 
 MOC      = $(QTDIR)/bin/moc
@@ -93,7 +93,7 @@
 $(MOC): 
 	( cd $(QTDIR)/src/moc && $(MAKE) )
 
-Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt.prl
+Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib64/libqt-mt.prl
 	$(QMAKE) -o Makefile configurator.pro
 qmake: 
 	@$(QMAKE) -o Makefile configurator.pro
@@ -131,7 +131,7 @@
 .ui/configurator.h: configurator.ui 
 	$(UIC) configurator.ui -o .ui/configurator.h
 
-.ui/configurator.cpp: .ui/configurator.h configurator.ui 
+.ui/configurator.cpp: .ui/configurator.h configurator.ui configurator.ui.h 
 	$(UIC) configurator.ui -i configurator.h -o .ui/configurator.cpp
 
 .obj/configurator.o: .ui/configurator.cpp configurator.ui.h \
