## qdvdauthor 2.1.0+dfsg

=== debian/changelog ===
qdvdauthor (1:2.1.0+dfsg-0ubuntu3) lucid; urgency=low

  * Add proper Conflicts/Replaces fields to fix LP: #519154.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 09 Feb 2010 08:01:52 +0100

qdvdauthor (1:2.1.0+dfsg-0ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:35:19 +0100

qdvdauthor (1:2.1.0+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Update debian/patches/03_plugins.diff according to DEP-3.
  * debian/qplayer.1: Fix spelling error.
  * debian/copyright: Fix copyright-refers-to-symlink-license lintian warning.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 15 Jan 2010 19:21:07 +0100

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu5) lucid; urgency=low

  * Migrate to 3.0 (quilt).

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 16:31:39 +0600

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu4) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:08 +0000

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu3) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 09:53:46 +0000

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu2) lucid; urgency=low

  * Moving away from Christian Marillat's packaging towards maintaining it
    directly in Ubuntu.
  * debian/copyright:
    - Expanded to mention per-file copyrights and licenses.
  * debian/control:
    - Replaced XSBC-Original-Maintainer.
    - Tighten debhelper dependency for override_dh_* rules.
    - Removed Bugs header.
    - Added ${misc:Depends}.
  * debian/rules:
    - Cleaned up with the help of debhelper 7 features.
  * Removed debian/debian.mak, debian/patches/01_hack.diff, and
    debian/patches/02_configure.diff. NCPUS and ccache are not used in Ubuntu,
    and --as-needed is not worth hacking the upstream build system.
  * Removed debian.mak change from debian/patches/03_plugins.diff.

 -- Maia Kozheva <sikon@ubuntu.com>  Fri, 20 Nov 2009 15:46:38 +0600

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu1) lucid; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove binaries.
    + debian/rules:
      - Added get-orig-source.
    + debian/control:
      - Corrected versioned build-deps.
      - Depend on mplayer-nogui and dvd-slideshow.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 04 Nov 2009 13:37:49 +0600

qdvdauthor (1:2.0.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Oct 2009 15:32:05 +0200

qdvdauthor (1:1.11.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 16 Aug 2009 22:40:53 +0200

qdvdauthor (1:1.11.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 07 Aug 2009 18:09:26 +0200

qdvdauthor (1:1.10.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 03 Jul 2009 22:38:50 +0200

qdvdauthor (1:1.9.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 11 Jun 2009 13:12:07 +0200

qdvdauthor (1:1.8.0+dfsg-0.0ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Aug 2009 20:56:56 +0200

qdvdauthor (1:1.8.0+dfsg-0.0ubuntu1) karmic; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove dvd-slideshow binary.
    + debian/control:
      - Depend on mplayer | mplayer-nogui and dvd-slideshow.
      - Removed versioned dependencies on ffmpeg libraries.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.
    + debian/rules:
      - Add get-orig-source.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 11 May 2009 17:29:25 +0700

qdvdauthor (1:1.8.0-0.0) unstable; urgency=low

  * New upstream release.
  * Remove 04_ffmpeg patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Mon, 04 May 2009 08:56:20 +0200

qdvdauthor (1:1.7.0-0.2) unstable; urgency=low

  * New patch 04_ffmpeg to fix build with latest ffmpeg.

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Apr 2009 11:53:24 +0200

qdvdauthor (1:1.7.0-0.1) unstable; urgency=low

  * Rebuild against latest ffmpeg to remove libavutil49 dependency.

 -- Christian Marillat <marillat@debian.org>  Sun, 29 Mar 2009 11:27:37 +0200

qdvdauthor (1:1.7.0.dfsg-0.0ubuntu1) jaunty; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove dvd-slideshow binary.
    + debian/control:
      - Updated maintainer field.
      - Depend on mplayer | mplayer-nogui and dvd-slideshow.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 18 Feb 2009 21:53:55 +0600

qdvdauthor (1:1.7.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jan 2009 10:29:33 +0100

qdvdauthor (1:1.6.1-0.0) unstable; urgency=low

  * New upstream release.
  * Rework patches some make -j option was not needed or missing.

 -- Christian Marillat <marillat@debian.org>  Mon, 15 Dec 2008 09:04:37 +0100

qdvdauthor (1:1.6.0-0.0) unstable; urgency=low

  * New upstream release.
  * Remove dvd-slideshow dependency.

 -- Christian Marillat <marillat@debian.org>  Mon, 01 Dec 2008 11:39:36 +0100

qdvdauthor (1:1.5.0.2-0.2) unstable; urgency=low

  * Hummmm, forgot to install the new qrender binary...

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Sep 2008 22:04:57 +0200

qdvdauthor (1:1.5.0.2-0.1) unstable; urgency=high

  * Make a symlink for the plugins from /usr/lib to /usr/share (Thanks to
    Ferry Toth)
  * Build the latest QT4 qrender binary (The QT3 binary was packaged in the

