=== debian/control ===
Source: qdvdauthor
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Homepage: http://qdvdauthor.sourceforge.net
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), libmagick++-dev, libqt3-mt-dev,
 libqt4-dev (>= 4:4.6.0), libavformat-dev (>= 4:0.5+svn20090414),
 libavcodec-dev (>= 4:0.5+svn20090414), libswscale-dev (>= 4:0.5+svn20090414),
 libavdevice-dev (>= 4:0.5+svn20090414)

Package: qdvdauthor
Architecture: any
Conflicts: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Depends: ${shlibs:Depends}, ${misc:Depends}, dvdauthor (>= 0.6.10),
 mjpegtools (>= 1.8.0), netpbm, sox, lame, vorbis-tools, videotrans,
 mplayer-nogui, dvd-slideshow, qdvdauthor-common (= ${source:Version})
Description: Qt 3 video DVD creator
 QDVDAuthor is a graphical video DVD creator using dvdauthor and other related
 console tools as its backend.
 .
 The goal is to provide an easy-to-use, yet powerful and complete interface
 to generate DVD menus, slideshows, and videos to burn on a DVD.

Package: qdvdauthor-common
Architecture: all
Conflicts: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Replaces: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Depends: ${misc:Depends}, qdvdauthor (>= ${source:Version})
Description: Qt 3 video DVD creator - data files
 QDVDAuthor is a graphical video DVD creator using dvdauthor and other related
 console tools as its backend.
 .
 The goal is to provide an easy-to-use, yet powerful and complete interface
 to generate DVD menus, slideshows, and videos to burn on a DVD.
 .
 This package contains architecture-independent files.
