=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//,uversionmangle=s/-[1-4]//" \
http://sf.net/qdvdauthor/qdvdauthor-(.*)\.tar\.gz
